com.unitech.lib.uhf.types

## Enum TemperatureProtectionMode

- java.lang.Object
- - java.lang.Enum<TemperatureProtectionMode>
  - - com.unitech.lib.uhf.types.TemperatureProtectionMode

- All Implemented Interfaces:
    Serializable, Comparable<TemperatureProtectionMode>

      public enum TemperatureProtectionMode
      extends Enum<TemperatureProtectionMode>

  Enum representing the temperature protection mode for a device. It can either be set to stop the device when a certain temperature is reached, or to continue operating without stopping.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NonStop`
    `Stop`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TemperatureProtectionMode` | `fromValue(int code)` Returns the enum constant of this type with the specified code.
    `int` | `getCode()`
    `String` | `toString()`
    `static TemperatureProtectionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TemperatureProtectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Stop

          public static final TemperatureProtectionMode Stop

    - #### NonStop

          public static final TemperatureProtectionMode NonStop

  - ### Method Detail

    - #### values

          public static TemperatureProtectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TemperatureProtectionMode c : TemperatureProtectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TemperatureProtectionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TemperatureProtectionMode>`

    - #### fromValue

          public static TemperatureProtectionMode fromValue(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code